YUI AS Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class JSONDecoder

Package | com.adobe.serialization.json
Class | public class JSONDecoder

Public Methods

| Method | Defined by
--- | --- | ---
|  | JSONDecoder(s:String) Constructs a new JSONDecoder to parse a JSON string into a native object. | JSONDecoder
|  | getValue():* Gets the internal object that was created by parsing the JSON string passed to the constructor. | JSONDecoder

Constructor detail

JSONDecoder | () | constructor

`public function JSONDecoder(s:String)`

Constructs a new JSONDecoder to parse a JSON string into a native object.

Parameters

| `s:String` — The JSON string to be converted into a native object

Method detail

getValue | () | method

`public function getValue():*`

Gets the internal object that was created by parsing the JSON string passed to the constructor.

Returns

| `*` — The internal object representation of the JSON string that was passed to the constructor